image: python:3-alpine

before_script:
  - apk update
  - apk add zip

stages:
  - test
  - build

test:
  stage: test
  script:
    - python -mjson.tool 'pl-PL/pl.json' > /dev/null
    - python -mjson.tool 'pl-PL/module.json' > /dev/null

build:
  stage: build
  script:
    - zip pl-PL.zip -r pl-PL -x ".*"
  artifacts:
    name: pl-PL
    when: on_success
    paths:
      - pl-PL.zip
  when: on_success
  only:
    - tags
    - master
